Debian Bug report logs - #147303
RFP: winex-light -- wine with microsoft directx support

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marc Leeman <marc.leeman@ieee.org>

Date: Fri, 17 May 2002 21:03:02 UTC

Severity: wishlist

Merged with 134918

Done: Robert Millan <zeratul2@wanadoo.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@ieee.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: winex -- A DESCRIPTION
Date: Fri, 17 May 2002 22:56:12 +0200
Package: wnpp
Version: N/A; reported 2002-05-17
Severity: wishlist

* Package name    : winex
  Version         : x.y.z
  Upstream Author : Name <somebody@some.org>
* URL             : http://sourceforge.net/cvs/?group_id=17631
* License         : Aladdin Free Public License
  Description     : A DESCRIPTION

This version of the TransGaming Wine Branch is compiled with OpenGL
support. The sources can be found (from the original CVS) on
http://sourceforge.net/cvs/?group_id=17631. This package is compiled
against the 1.0-2880 version of the NVidia drivers (nvidia: loading
NVIDIA NVdriver Kernel Module  1.0-2880  Tue Mar 26 08:12:38 PST 2002)
and was built with winex-compile.sh v0.97."

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux scorpius.dyndns.org 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Noel Koethe <noel@koethe.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 147303@bugs.debian.org (full text, mbox):

From: Noel Koethe <noel@koethe.net>
To: control@bugs.debian.org
Cc: 134918@bugs.debian.org, 147303@bugs.debian.org
Subject: Marc took the package
Date: Fri, 17 May 2002 23:13:00 +0200
retile 134918 ITP: WineX -- wine with compatibility for games developed using MS DirectX
merge 147303 134918
thanks

Hello,

Marc took the package and I merge the RFP and ITP.

-- 
	Noèl Köthe



Merged 134918 147303. Request was from Noel Koethe <noel@koethe.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Noel Koethe <noel@koethe.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 147303@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Marc Leeman <marc.leeman@ieee.org>, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sat, 18 May 2002 09:48:30 +0900
Marc Leeman <marc.leeman@ieee.org> immo vero scripsit:

> Package: wnpp
> Version: N/A; reported 2002-05-17
> Severity: wishlist
> 
> * Package name    : winex
>   Version         : x.y.z

what version ?

>   Upstream Author : Name <somebody@some.org>

er.. who ?


> * URL             : http://sourceforge.net/cvs/?group_id=17631
> * License         : Aladdin Free Public License
>   Description     : A DESCRIPTION

-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
Libpkg-guide: http://www.netfort.gr.jp/~dancer/column/libpkg-guide/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Peter Makholm <peter@makholm.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 147303@bugs.debian.org (full text, mbox):

From: Peter Makholm <peter@makholm.net>
To: Marc Leeman <marc.leeman@ieee.org>
Cc: 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sat, 18 May 2002 10:09:06 +0200
Marc Leeman <marc.leeman@ieee.org> writes:

> http://sourceforge.net/cvs/?group_id=17631. This package is compiled
> against the 1.0-2880 version of the NVidia drivers (nvidia: loading
> NVIDIA NVdriver Kernel Module  1.0-2880  Tue Mar 26 08:12:38 PST 2002)
> and was built with winex-compile.sh v0.97."

Ehhhh, why?

-- 
 Peter Makholm     |         Perhaps that late-night surfing is not such a
 peter@makholm.net |           waste of time after all: it is just the web
 http://hacking.dk |                                              dreaming
                   |                                    -- Tim Berners-Lee



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 147303@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: Peter Makholm <peter@makholm.net>
Cc: 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sat, 18 May 2002 13:18:56 +0200
[Message part 1 (text/plain, inline)]
> > http://sourceforge.net/cvs/?group_id=17631. This package is compiled
> > against the 1.0-2880 version of the NVidia drivers (nvidia: loading
> > NVIDIA NVdriver Kernel Module  1.0-2880  Tue Mar 26 08:12:38 PST 2002)
> > and was built with winex-compile.sh v0.97."
> Ehhhh, why?

Because I compile the CVS sources on my machine for testing and did not
have a significant testing base for many other configurations. 
(heard it to work on Voodoo3 too though).

I know I was a bit sloppy filling out the initial request (was going to
update this sometime today).
Anyway, this has become theory now.

We just got a mail from the TransGaming CEO Gavriel State to request the
withdrawal of the ITP.
Without fueling the wine discussions that spawned over the license of
Wine over the last months, the mail was a friendly "hammer and anvil"
mail ;)

He made a couple of obvious points why and how this debian release would
damage their business and possible confusion, ...
He also mentioned the possibility to change the license to explicitly
forbid the distribution of binaries.

Furthermore, I think we should respect their wishes at this point since,
and I guess you would agree with this, WineX is not one of the top on
the list packages for a typical debian-user.

I admire the Wine/WineX/CrossOver/Lindows/... efforts but am not fully
up to speed with the latest details on the license discussions that
spawned over the last months.

If the policy of TransGaming were to change over time (I believe there
was something as a minimal subscriber base), I will be available to take
up the package again.

-- 
       greetz, marc
 
BOFH excuse #346:

Your/our computer(s) had suffered a memory leak, and we are waiting for them to be topped up.
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux scorpius.dyndns.org 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #34 received at 147303@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Marc Leeman <marc.leeman@ieee.org>, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sat, 18 May 2002 09:43:14 -0400
On Sat, May 18, 2002 at 01:18:56PM +0200, Marc Leeman <marc.leeman@ieee.org> was heard to say:
> He also mentioned the possibility to change the license to explicitly
> forbid the distribution of binaries.

  How can they do that?  Isn't WINE GPL?

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|            Whoever created the human body left in a fairly basic            |
|            design flaw.  It has a tendency to bend at the knees.            |
|              -- Terry Pratchett, _Men at Arms_                              |
\------- (if (not (understand-this)) (go-to http://www.schemers.org)) --------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #39 received at 147303@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: Marc Leeman <marc.leeman@ieee.org>, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sat, 18 May 2002 17:19:23 +0200
[Message part 1 (text/plain, inline)]
> > He also mentioned the possibility to change the license to explicitly
> > forbid the distribution of binaries.
> 
>   How can they do that?  Isn't WINE GPL?

Ok, I'm moving onto thin ice here, since I do not know the knitty gritty
of licensing.

Wine used to be a X11 license (I think), which is not that restrictive
on releasing code and linking and compiling with proprietary software.
Under influence of Codeweavers, the license was changed to LGPL. (Though
cheer the decision, I do not really know why).
WineX is still based on the pre-LGPL license and is released on the
Aladin license. I believe that the main issues are that:
1. you can modify the code but you need to make the modification public
again
2. you can release binaries, as long as you release the sources in some
format that is common in programming (I would assume cvs, tar.gz or
somethings of the sorts).

For us, well, we can release the binaries, but as a result, they will
modify the license to prohibit this. I do not think that is disallowed
in the current lincensing scheme.

As a result, packaging it in debian would not be particularly useful for
long.

Ppl an still dl the sources from CVS and compile them, ... The
difference is that the system they compile it on will have to be more
preconfigured and require more programming skills (or at least a basic
knowledge).

I think there was some note to move all the code back in the Wine tree
once they got a 20,000 members subscriber base. 
Under what license this will be, and if they'll ever allow binary
distributions except theirs, your guess will be as good as mine...

It is a pitty, but I don't think much can be done on this...


-- 
       greetz, marc
 
BOFH excuse #84:

Someone is standing on the ethernet cable, causeing a kink in the cable
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux scorpius.dyndns.org 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #44 received at 147303@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Marc Leeman <marc.leeman@ieee.org>, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sat, 18 May 2002 11:44:19 -0400
On Sat, May 18, 2002 at 05:19:23PM +0200, Marc Leeman <marc.leeman@ieee.org> was heard to say:
> > > He also mentioned the possibility to change the license to explicitly
> > > forbid the distribution of binaries.
> > 
> >   How can they do that?  Isn't WINE GPL?
> 
> Ok, I'm moving onto thin ice here, since I do not know the knitty gritty
> of licensing.
> 
> Wine used to be a X11 license (I think), which is not that restrictive
> on releasing code and linking and compiling with proprietary software.
> Under influence of Codeweavers, the license was changed to LGPL. (Though
> cheer the decision, I do not really know why).

  Ah, okay, I had confused Codeweavers (the people working on the LGPL
branch) with Transgaming (the people working on the X11 branch)

  Daniel

-- 
/-------------------- Daniel Burrows <dburrows@debian.org> -------------------\
|                  Fate always wins...                                        |
|                  at least, when people stick to the rules.                  |
|                    -- Terry Pratchett, _Interesting Times_                  |
\---------------------- A duck! -- http://www.python.org ---------------------/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joseph Carter <knghtbrd@bluecherry.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #49 received at 147303@bugs.debian.org (full text, mbox):

From: Joseph Carter <knghtbrd@bluecherry.net>
To: Marc Leeman <marc.leeman@ieee.org>, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Sun, 19 May 2002 17:02:54 -0700
[Message part 1 (text/plain, inline)]
On Fri, May 17, 2002 at 10:56:12PM +0200, Marc Leeman wrote:
> This version of the TransGaming Wine Branch is compiled with OpenGL
> support. The sources can be found (from the original CVS) on
> http://sourceforge.net/cvs/?group_id=17631. This package is compiled
> against the 1.0-2880 version of the NVidia drivers (nvidia: loading
> NVIDIA NVdriver Kernel Module  1.0-2880  Tue Mar 26 08:12:38 PST 2002)
> and was built with winex-compile.sh v0.97."

As a user of the NV drivers, I would just like to comment that if you are
using recent versions of these drivers (and you are), you need not worry
about using them provided that you do not hard-link any NV extensions.
Doing so would be fatal for winex, so I will hope/assume they are not
doing this.  If they are, I will be happy to help fix it.

Otherwise the package should work with any of Debian's OpenGL drivers.

-- 
Joseph Carter <knghtbrd@bluecherry.net>               Crazy in the coconut
 
<Overfiend> Culus: wanna suspend me for it? :)
<Culus> Overfiend:  Go maliciously crack a few severs and we'll talk
<Overfiend> Culus: damn, it has to be malicious?
<Culus> Overfiend:  Sadly, yes

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Juergen Kreileder <jk@blackdown.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #54 received at 147303@bugs.debian.org (full text, mbox):

From: Juergen Kreileder <jk@blackdown.de>
To: Marc Leeman <marc.leeman@ieee.org>
Cc: 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Tue, 21 May 2002 17:45:27 +0200
Marc Leeman <marc.leeman@ieee.org> writes:

[...]

> This version of the TransGaming Wine Branch is compiled with OpenGL
> support. The sources can be found (from the original CVS) on
> http://sourceforge.net/cvs/?group_id=17631. This package is compiled
> against the 1.0-2880 version of the NVidia drivers (nvidia: loading
> NVIDIA NVdriver Kernel Module 1.0-2880 Tue Mar 26 08:12:38 PST 2002)
> and was built with winex-compile.sh v0.97."

Linking with the NVIDIA drivers is not really advisable as the result
will also depend on /usr/lib/libGLcore.so.1 which only NVIDIA
provides.  OTOH if you link against XFree86's libGL, it should work
with with every libGL.so (XFree86, NVIDIA, ATI Fire GL4, ...).


        Juergen

-- 
Juergen Kreileder, Blackdown Java-Linux Team
http://www.blackdown.org/java-linux.html
Run Java 2 SE v1.3.1 on your iPAQ:
http://www.handhelds.org/pipermail/ipaq/2001-June/007221.html



Reply sent to Marc Leeman <marc.leeman@ieee.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Leeman <marc.leeman@ieee.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 147303-done@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: 147303-done@bugs.debian.org, 1349183-done@bugs.debian.org
Subject: Cannot be packaged: WineX -- wine with compatibility for games developed using MS DirectX
Date: Tue, 21 May 2002 21:57:07 +0200
[Message part 1 (text/plain, inline)]
As a result of a mail I received from Gavriel State with the request not
to include the package in debian.

If this course was persued, they would change the license to explicitly
prohibit any distribution of binaries of WineX except their own.

I welcome any and all remarks on this issue...

-- 
       greetz, marc
 
BOFH excuse #42:

spaghetti cable cause packet failure
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux scorpius.dyndns.org 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joe Drew <hoserhead@woot.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #64 received at 147303@bugs.debian.org (full text, mbox):

From: Joe Drew <hoserhead@woot.net>
To: Marc Leeman <marc.leeman@ieee.org>, debian-devel@lists.debian.org
Cc: 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 22 May 2002 21:40:59 -0400
On Fri, 2002-05-17 at 16:56, Marc Leeman wrote:
> * Package name    : winex
> [...]
> This version of the TransGaming Wine Branch [...]

I'd like to register my objection to this package being installed, even
in non-free. As a Transgaming subscriber and supporter of their work, I
don't want to see Transgaming's work be diluted, and I imagine that many
people feel similarly. I urge the prospective maintainer to reconsider.

-- 
Joe Drew <hoserhead@woot.net> <drew@debian.org>

Please encrypt email sent to me.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joseph Carter <knghtbrd@bluecherry.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #69 received at 147303@bugs.debian.org (full text, mbox):

From: Joseph Carter <knghtbrd@bluecherry.net>
To: Joe Drew <hoserhead@woot.net>
Cc: Marc Leeman <marc.leeman@ieee.org>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Wed, 22 May 2002 19:11:54 -0700
[Message part 1 (text/plain, inline)]
On Wed, May 22, 2002 at 09:40:59PM -0400, Joe Drew wrote:
> > * Package name    : winex
> > [...]
> > This version of the TransGaming Wine Branch [...]
> 
> I'd like to register my objection to this package being installed, even
> in non-free. As a Transgaming subscriber and supporter of their work, I
> don't want to see Transgaming's work be diluted, and I imagine that many
> people feel similarly. I urge the prospective maintainer to reconsider.

Oh don't worry - they have threatened to change their license to
specifically ban Debian from having such a package if one is ever
uploaded.  If you don't feel uncomfortable supporting that hostile
attitude with your money, I cannot stop you.  I may question your
commitment to the things Debian stands for, but I can't stop you.
Personally I rate their attitude more parasitical than Caldera.

Caldera is the company who produced a Linux "demo" CD in which they
modified sysvinit (GPL) to refuse to boot the system after 30 days if
payment was not made to the tune of US$130.


Transgaming is a company who took free software which other companies have
paid people to work on, made a few hacks, made the whole thing
proprietary, put a price tag on it, and are now threatening anyone else
who might get near it.  It doesn't matter that you can download it from
their site or that the license does not currently prohibit packaging it
for convenience.  No, they will happily change the license to discriminate
by name against any person who violates the unwritten law: thou shalt not
package my software.

Even Corel, another company which clearly Didn't Get It was capible of
giving their wine changes back to the community.  But in order to use
winex, I am expected to pay $5 a month and live without a native package
for my distribution?  No, I think they are parasites who deserve to be
exposed for what they are and killed for it.  I sure as hell don't plan to
use their crappy Linux distribution to get winex packaged for me, that's
for sure.

-- 
Joseph Carter <knghtbrd@bluecherry.net>              Goldfish don't bounce
 
<joeyh> netgod: er, are these 2.2.0 packages 2.0.0pre9 or do you have a
        direct line with the gods?
<netgod> joeyh: i have the direct line

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #74 received at 147303@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Joe Drew <hoserhead@woot.net>
Cc: Marc Leeman <marc.leeman@ieee.org>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 22 May 2002 19:32:25 -0700
Joe Drew <hoserhead@woot.net> writes:

> I'd like to register my objection to this package being installed, even
> in non-free. As a Transgaming subscriber and supporter of their work, I
> don't want to see Transgaming's work be diluted, and I imagine that many
> people feel similarly. I urge the prospective maintainer to reconsider.

This has never been Debian's attitude, and it shouldn't be so now.

If it has a license appropriate for inclusion in Debian, or the
non-Debian nonfree archive, and there is a developer interested in
maintaining Debian packages in accord with the usual rules, we should
do so.

If Transgaming wants to have a license that prohibits distribution,
they can create one.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joe Drew <hoserhead@woot.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #79 received at 147303@bugs.debian.org (full text, mbox):

From: Joe Drew <hoserhead@woot.net>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 22 May 2002 22:39:04 -0400
On Wed, 2002-05-22 at 22:32, Thomas Bushnell, BSG wrote:
> If it has a license appropriate for inclusion in Debian, or the
> non-Debian nonfree archive, and there is a developer interested in
> maintaining Debian packages in accord with the usual rules, we should
> do so.

Yes, I agree. But I also said "I urge the prospective maintainer to
reconsider." because I recognise that it's totally up to the prospective
maintainer. I personally don't wish it to be included, but can't do a
whole lot if the maintainer sees differently.

-- 
Joe Drew <hoserhead@woot.net> <drew@debian.org>

Please encrypt email sent to me.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #84 received at 147303@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Joe Drew <hoserhead@woot.net>
Cc: debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 22 May 2002 19:50:03 -0700
Joe Drew <hoserhead@woot.net> writes:

> Yes, I agree. But I also said "I urge the prospective maintainer to
> reconsider." because I recognise that it's totally up to the prospective
> maintainer. I personally don't wish it to be included, but can't do a
> whole lot if the maintainer sees differently.

I think your request is completely out-of-line.  Debian's job is not
to help software hoarders.  Indeed, if we had an official attitude, it
was that we have a goal of putting them out of that business
entirely.  We don't actually have such an official stance.  But we
are, broadly speaking, against them.

If you have a personal financial interest in the matter, you should
recuse yourself.

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #89 received at 147303@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: Joe Drew <hoserhead@woot.net>
Cc: Marc Leeman <marc.leeman@ieee.org>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Thu, 23 May 2002 09:05:45 +0200
[Message part 1 (text/plain, inline)]
> I'd like to register my objection to this package being installed, even
> in non-free. As a Transgaming subscriber and supporter of their work, I
> don't want to see Transgaming's work be diluted, and I imagine that many
> people feel similarly. I urge the prospective maintainer to reconsider.


If I might remark, this attitude is pretty short sighted and is not
consistent with anything what FS/OS stands for.


Immagine someone saying "I object to the distribution of debian, because
it distributes GNU/Linux in a binary way and this might dilute and be
confused with the work of Slackware", some years ago.

Or "I object to the distribution of OpenOffice, because it emulates the
behaviour and look-and-feel of Microsoft Word, whos work might get
diluted and confused with"

Or "I object to the distribution of GNU/Linux, *BSD, ... because it is
an Operating System, and this might dilute the work of some company who
is also providing an OS."

(The first one would me more appropriate since both share the same
codebase). Imagine changes made by RH, Debian ppl, ... to GNU software
not to be distributed in other distribs.

You are threading a _very_ thin line there...

I guess this case _clearly_ shows the _need_ and _use_ for the (L)GPL and
what can happen if it is not used...

As far as the package is concerned, though I understand their
objections, I do not feel completely comfortable with it, something
feels wrong.
I withdrew it for the moment and am discussing the situation with a
couple of debian developers.

-- 
       greetz, marc
 
BOFH excuse #341:

HTTPD Error 666 : BOFH was here
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux scorpius.dyndns.org 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Marc Leeman <marc.leeman@ieee.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #96 received at 147303@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: 147303@bugs.debian.org
Cc: debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Thu, 23 May 2002 09:37:53 +0200
[Message part 1 (text/plain, inline)]
WITHOUT CHANGING ANYTHING TO THE CURRENT LIMBO STATE OF THE PACKAGE,
(not pushed into debian for the moment, but in discussion)  I
suggest to refer to the package from as:
winex-light 

This should reduce the kind of "dilution" and "confusion" reaction, how
misguided they might be...

the "light" reflects the 
1. not including Microsoft dll's
2. binary installation and tweaking from TransGaming



-- 
       greetz, marc
 
BOFH excuse #72:

Satan did it
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux scorpius.dyndns.org 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joe Drew <hoserhead@woot.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #101 received at 147303@bugs.debian.org (full text, mbox):

From: Joe Drew <hoserhead@woot.net>
To: Marc Leeman <marc.leeman@ieee.org>
Cc: 147303@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 23 May 2002 07:09:18 -0400
On Thu, 2002-05-23 at 03:37, Marc Leeman wrote:
> I
> suggest to refer to the package from as:
> winex-light 
> 
> This should reduce the kind of "dilution" and "confusion" reaction, how
> misguided they might be...
> 
> the "light" reflects the 
> 1. not including Microsoft dll's
> 2. binary installation and tweaking from TransGaming

This seems a reasonable compromise to me. It also reflects the fact that
these things are plain not available for us to distribute (Cf. the copy
protection code).

-- 
Joe Drew <hoserhead@woot.net> <drew@debian.org>

Please encrypt email sent to me.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Noel Koethe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #106 received at 147303@bugs.debian.org (full text, mbox):

From: Noel Koethe <noel@debian.org>
To: control@bugs.debian.org
Cc: 147303@bugs.debian.org, marc.leeman@ieee.org
Subject: its still a request for a package
Date: Thu, 23 May 2002 13:49:15 +0200
reopen 147303
thanks

Hello Marc,

thanks alot that you are till willing to package the
available WineX parts under the Alladin License!!

Thank you!!

-- 
	Noèl Köthe



Bug reopened, originator not changed. Request was from Noel Koethe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #113 received at 147303@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: debian-devel@lists.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Thu, 23 May 2002 09:51:50 -0500
[Message part 1 (text/plain, inline)]
On Thu, May 23, 2002 at 07:48:08AM -0400, christophe barbé wrote:
> On Wed, May 22, 2002 at 10:45:41PM -0400, Joe Drew wrote:
> > > The ITP says that the source is in sourceforge.  Isn't sourceforge
> > > restricted to free software projects?

> > Apparently not. (I wondered this, too.)

> SF.net accpets free software and SF-approved non-free software.

> NOTE : I don't care about games, but it's scary to read from someone with a
> d.o address : 'don't package it, respect their proprietary work based on a
> free product developed by another company'.

Yet the conclusion is the same as when people say "don't package it, we
don't want more non-free software bloating our archive"...  Although I'm
not 100% comfortable with the stance Transgaming has taken, they haven't
done anything that they weren't allowed to do by law and that the
copyright holders on Wine explicitly agreed to in their license.

BTW, I believe the current maintainer of the Debian Wine package is a
Transgaming employee.  You might consider this another reason not to
package WineX, if doing so would engender ill will with the author: does
having WineX available to us in the archive for a little while really
justify creating a conflict of interest for the maintainer that (one 
presumes) would be maintaining the mainline packages in the long term?

Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joseph Carter <knghtbrd@bluecherry.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #118 received at 147303@bugs.debian.org (full text, mbox):

From: Joseph Carter <knghtbrd@bluecherry.net>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Joe Drew <hoserhead@woot.net>, Marc Leeman <marc.leeman@ieee.org>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Thu, 23 May 2002 23:01:19 -0700
[Message part 1 (text/plain, inline)]
On Wed, May 22, 2002 at 07:32:25PM -0700, Thomas Bushnell, BSG wrote:
> This has never been Debian's attitude, and it shouldn't be so now.
> 
> If it has a license appropriate for inclusion in Debian, or the
> non-Debian nonfree archive, and there is a developer interested in
> maintaining Debian packages in accord with the usual rules, we should
> do so.
> 
> If Transgaming wants to have a license that prohibits distribution,
> they can create one.

If they do so I believe we need to petition SourceForge to drop WineX as
clearly not even kinda free.  I for one don't think they should be getting
a free ride when it comes to stuff that can't even be packaged by the
various distributions.

I would call for such a petition now, except that Transgaming is still
effectively pretending their license allows redistribution.

-- 
Joseph Carter <knghtbrd@bluecherry.net>        Certified free software nut
 
Nothing is a problem once you debug the code.
        -- John Carmack

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #123 received at 147303@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@ieee.org>
To: 147303@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Tue, 28 May 2002 09:24:34 +0200
[Message part 1 (text/plain, inline)]
The following text summarises (for me) the TransGaming experience (most
probably to their relief). I am going to remove all related packages
and look for some orphaned package to satisfy me "tweaking" need :)
Thanks to those on debian-devel (and RMS) for making suggestions to the
text.

=====

WineX is a branch of the Wine, open source windows emulator software. 
allows running certain windows programs on a GNU/Linux operating 
system, and thus reducing, evading the Microsoft imposed Operating 
System lock-in.

Up until a couple of months ago, Wine (http://www.winehq.com) was
released under the X11 license. Contrary to the more widely spread 
better known GPL, this license allows branching the code, making 
modifications without having to release the modified source and put
restrictions on the distribution of it.

Some months ago, the license of Wine was changed from the X11 license
to the LGPL to avoid these problems, especially since wine is a 
project where a lot of people are working on and are contributing to:
volunteers and people employed by companies like CodeWeavers.

In the wake of this change, which is rumoured to be initiated by 
CodeWeavers, a branch is _again_ made to wine (ReWind) which it's
only intention is to keep the X11 license over the LGPL. Since the
LGPL is the main, contributors to the Wine project have to explicitly
agree that their patches can be included in the ReWind project (and
hence also in TransGaming's WineX).

At this point, I guess, a clear distinction between WineX and ReWind 
has to be made. ReWind is, to a large degree, tailored to be used by
WineX but to this moment, the changes made by TransGaming (also those
based on in spirit LGPL code, but allowed X11) are not brought back
to the Wine tree.
With the creation of ReWind, one can wonder if it ever will, ...

The sources on which WineX is based are put available on sourceforge
by TransGaming under the Alladin license. I guess you need to be 
some barrister to understand all these changes, or start learning.
This license allows using, changing the code, releasing binaries, 
as long as the sources are released again. One of the most important
differences with the GPL variants is that there seems to be no re-
striction on the restricting the license afterwards (which is not 
the case with the GPL).

Recently, a RFP (Request For Package) was put up on the Debian site,
and a "developer" agreed on maintaining this package. The license as
it is, allows to include it in the non-free archive.

Within hours after posting the ITP (Intent to Package) on the Debian
bug database and on the debian-devel mailing list, a mail from Trans-
Gaming's CEO/CTE Gavriel State was received, which indicates
1. "We noticed that you intend to package our AFPLed WineX package 
for release in debian (presumably non-free).  We would really prefer 
that this not happen, for a number of reasons."
2. " We would prefer not to have to change our license to explicitly 
prevent the distribution of binary packages, but if we have to we 
will do so."

There are two things in this mail:
There are claims on the rights on the code, which are valid to some 
degree. The reasons they state are commercial (development => money 
=> development) and possible confusion since the release of debian 
binaries based on their public AFP'ed CVS does not provide the full
functionality of the binaries they redistribute (amongst others, they
are not allowed to redistribute proprietary copy protection code 
used by games).
If you do distribute binaries, we will change the license to 
explicitly prohibit you from doing this.

The reaction of TransGaming concerning the binary debian release of 
WineX raises a couple of questions, that should be addressed before 
pursueing the packaging any further.

1. Does the license allow packaging?
Yes, I read through it and you can distribute binaries as long as 
you put the source available in some common format

2. Is the source free?
Well, to some degree, not the 3 RMS criteria, that's for sure

3. Who is the target audience?
I would think people interested in 3D and 3D games and development. 
I think it is pretty obvious that you are not going to satisfy a 
hard-core gamer, since there is no support for copyright protection 
and most of the tweaking is manual (downloading dll's for example).
I see such a package for enthusiasts that want to check the 
state-of-the-art in gaming without having to install windows (I 
recently checked the SoF2 demo with this, even though the game was 
only for about 30' in my HD).
I imagine it is also useful for people working with 3D graphics and 
programming on it (e.g. students develop in win32 and you do not 
want to let them show the demo on your GNU/Linux workstation)..
In both cases, it is handy, but most likely not enough to go for 
the commercial thing (one could do without it).

4. Should it be packaged?
Carefully reading the mail from Gavriel State, I did not see any 
specific objections to packaging it, but to the inclusion of the 
package in Debian.  I guess it has to do with the possible target 
audience...
Part of the objections he made, are now addressed by changing the 
name to winex-light. Even then, I do not think this will be 
sufficient for them not to change the license to prohibit binary 
redistribution when included in debian.

5. Can TransGaming change the license?
Legally I guess there within their rights to do so.
Morally (I never thought I would use this word) no. I have worked 
on some projects where I added functionality to code and I cannot 
imagine me restricting the distribution of the code from which I 
did not write the bulk of it.

6. Will it be in debian?
As things are now, no...
Distributing it would only be temporary (most likely, it would be
cut off before it even reaches unstable).

I personally think that this case explicitly shows the use and 
need for us developers to release code under the GPL and hope that,
people will think twice before contributing to non-GPL code. Even 
few people question the merrits of the work done by TransGaming,
we should not endorse this policy.


-- 
       greetz, marc
 
BOFH excuse #64:

CPU needs recalibration
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux scorpius 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #128 received at 147303@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Marc Leeman <marc.leeman@ieee.org>
Cc: 147303@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 28 May 2002 03:09:55 -0700
Marc Leeman <marc.leeman@ieee.org> writes:

> 6. Will it be in debian?
> As things are now, no...
> Distributing it would only be temporary (most likely, it would be
> cut off before it even reaches unstable).

Since Transgaming is essentially lying about the license, would it not
be at least valuable to expose them more publicly by starting such a
distribution to force their hand?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "grolschie" <grol777@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #133 received at 147303@bugs.debian.org (full text, mbox):

From: "grolschie" <grol777@hotmail.com>
To: <147303@bugs.debian.org>
Subject: 147303@bugs.debian.org
Date: Mon, 3 Jun 2002 17:24:27 +1200
>> 6. Will it be in debian?
>> As things are now, no...
>> Distributing it would only be temporary (most likely, it would be
>> cut off before it even reaches unstable).

> Since Transgaming is essentially lying about the license, would it not
> be at least valuable to expose them more publicly by starting such a
> distribution to force their hand?

Bring it on! If Winex is really *free* software then let us have it for
free.
How dare they treat other peoples code as if they invented it.

Please please please package WineX for Debian.

Are they any 'unofficial' debs around?

- grol

UnitedLinux, Redhat, Transgaming are all nasty breachers of the FS
licensing.
Debian, please lead the way!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #138 received at 147303@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: debian-devel@lists.debian.org, 147303@bugs.debian.org
Cc: Ove Kaaven <ovek@arcticnet.no>
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 14:09:23 +0300
On Tue, May 28, 2002 at 03:09:33AM -0700, Thomas Bushnell, BSG wrote:
> Since Transgaming is essentially lying about the license, would it not
> be at least valuable to expose them more publicly by starting such a
> distribution to force their hand?

Agreed.

I would volunteer to take that action and package winex-light for
Debian, if no one else (knghtbrd?) is willing to do it [1], and if no
one presents here on debian-devel good [2] reasons not to do it. I would
also very much like to see opinion of Ove Kaaven, current Debian wine
maintainer: I am very satisfied with his packaging of wine, and I'd like
to be sure that my actions won't cause conflict with Debian wine
maintainer.

[1] I use wine occasionaly, and not heavily, some time ago I
    successfully built winex with Debian patches from Ove.

[2] I.e. good enough for me.

-- 
Dmitry Borodaenko



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #143 received at 147303@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
Cc: debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 15:05:22 +0200 (CEST)
On Mon, 3 Jun 2002, Dmitry Borodaenko wrote:

> On Tue, May 28, 2002 at 03:09:33AM -0700, Thomas Bushnell, BSG wrote:
> > Since Transgaming is essentially lying about the license, would it not
> > be at least valuable to expose them more publicly by starting such a
> > distribution to force their hand?
> 
> Agreed.
> 
> I would volunteer to take that action and package winex-light for
> Debian, if no one else (knghtbrd?) is willing to do it [1], and if no
> one presents here on debian-devel good [2] reasons not to do it. I would
> also very much like to see opinion of Ove Kaaven, current Debian wine
> maintainer: I am very satisfied with his packaging of wine, and I'd like
> to be sure that my actions won't cause conflict with Debian wine
> maintainer.

Hmm. In the role of the Debian wine maintainer I don't have a problem with
that (though if you want to use my packaging, you can't use the packaging
from the most recent Wine releases since the Wine build system have
changed significantly recently and recent packaging reflects that, those
changes are not in WineX). You'd probably just rename things and put stuff
in /usr/lib/winex instead of /usr/lib/wine, so that the two versions can
be installed simultaneously, right?

But in the role of a transgaming affiliate, I'd prefer that you don't if
you want them to have an income; they're not "lying", the license do allow
you to make packages, but that permission is meant to allow "fair use"
(you can make packages for yourself, or give packages to your friends to
show them what they can do), it's not intended for mass distribution of
unsupported binaries. If mass distribution happens anyway, then the
license would be changed to stop it, and then that fair use would no
longer be legal either, is that what you want?

But if you really want to commit such controversy, please also consider
packaging CodeWeavers Crossover Office. They sell it for money even though
it's technically LGPL, so someone could buy it, and then you could package
the source you find on the CDs you get. I think that'd be even more useful
for many Debian users than a gaming-related package.

> [1] I use wine occasionaly, and not heavily, some time ago I
>     successfully built winex with Debian patches from Ove.
> 
> [2] I.e. good enough for me.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #148 received at 147303@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Ove Kaaven <ovek@arcticnet.no>
Cc: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 03 Jun 2002 09:45:05 -0700
Ove Kaaven <ovek@arcticnet.no> writes:

> But in the role of a transgaming affiliate, I'd prefer that you
> don't if you want them to have an income; they're not "lying", the
> license do allow you to make packages, but that permission is meant
> to allow "fair use" (you can make packages for yourself, or give
> packages to your friends to show them what they can do), it's not
> intended for mass distribution of unsupported binaries.  If mass
> distribution happens anyway, then the license would be changed to
> stop it, and then that fair use would no longer be legal either, is
> that what you want?

I think the point is that Transgaming is *lying* by having a license
which says "we're happy with mass distribution", and then using
back-door pressure to try and stop them.

If they were free-software-friendly, we might honor that, but they
*aren't*.  They should roll all their changes back into wine, and they
won't.  So they are not our friends.

The argument "we shouldn't object to software hoarding, because that's
how they make money" is not one that has ever been accepted in Debian.

If they simply change the license now to reflect their true
intentions, then that would be fine.  

Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Scott Dier <dieman@ringworld.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #153 received at 147303@bugs.debian.org (full text, mbox):

From: Scott Dier <dieman@ringworld.org>
To: Ove Kaaven <ovek@arcticnet.no>
Cc: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 11:44:09 -0500
* Ove Kaaven <ovek@arcticnet.no> [020603 10:46]:
> you to make packages, but that permission is meant to allow "fair use"

Then the license should have been written that way, eh?  Private
distribution of binaries are ok or something to that effect?

Gimmie a break.

-- 
Scott Dier <dieman@ringworld.org> http://www.ringworld.org/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #158 received at 147303@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 18:46:12 +0200 (CEST)
On 3 Jun 2002, Thomas Bushnell, BSG wrote:

> If they simply change the license now to reflect their true
> intentions, then that would be fine.  

There was a change in the license preamble in the WineX CVS about a week
ago. Does it suffice?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to tb@becket.net (Thomas Bushnell, BSG):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #163 received at 147303@bugs.debian.org (full text, mbox):

From: tb@becket.net (Thomas Bushnell, BSG)
To: Ove Kaaven <ovek@arcticnet.no>
Cc: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: 03 Jun 2002 09:50:00 -0700
Ove Kaaven <ovek@arcticnet.no> writes:

> On 3 Jun 2002, Thomas Bushnell, BSG wrote:
> 
> > If they simply change the license now to reflect their true
> > intentions, then that would be fine.  
> 
> There was a change in the license preamble in the WineX CVS about a week
> ago. Does it suffice?

Can you post it?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #168 received at 147303@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: "Thomas Bushnell, BSG" <tb@becket.net>
Cc: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 18:54:36 +0200 (CEST)
On 3 Jun 2002, Thomas Bushnell, BSG wrote:

> Ove Kaaven <ovek@arcticnet.no> writes:
> 
> > On 3 Jun 2002, Thomas Bushnell, BSG wrote:
> > 
> > > If they simply change the license now to reflect their true
> > > intentions, then that would be fine.  
> > 
> > There was a change in the license preamble in the WineX CVS about a week
> > ago. Does it suffice?
> 
> Can you post it?

Sure. (It seems possible that this change is so far only applied to the
winex-2-0 branch, not to the main branch yet, but that's easy to fix)

Index: LICENSE
===================================================================
RCS file: /cvsroot/winex/wine/LICENSE,v
retrieving revision 1.3
retrieving revision 1.3.2.1
diff -u -r1.3 -r1.3.2.1
--- LICENSE     14 Apr 2002 00:18:21 -0000      1.3
+++ LICENSE     29 May 2002 02:54:22 -0000      1.3.2.1
@@ -1,7 +1,15 @@
 Source code and other software components explicitly identified as 
 Copyright TransGaming Technologies Inc. is covered by the license
 below.  Other source code and software components are covered by the
-Wine license, found in the LICENSE.winehq file.
+pre-March 1, 2002 Wine license, found in the LICENSE.winehq file.
+
+Note that while this license does permit certain kinds of non-commercial 
+distribution of pre-compiled binary packages of WineX, doing so on a large 
+scale is discouraged, as it affects TransGaming's ability to continue
+to improve and develop the code.  TransGaming reserves the right to 
+change the license under which future code is made available, and will 
+not hesitate to do so if non-commercial distribution of pre-compiled 
+binary packages adversely affects the financing of continued development.
 
                          Aladdin Free Public License
                       (Version 9, September 18, 2000)






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@gkvk.hr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #173 received at 147303@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@gkvk.hr>
To: Ove Kaaven <ovek@arcticnet.no>
Cc: debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 19:09:41 +0200
On Mon, Jun 03, 2002 at 06:54:36PM +0200, Ove Kaaven wrote:
> > > > If they simply change the license now to reflect their true
> > > > intentions, then that would be fine.  
> > > 
> > > There was a change in the license preamble in the WineX CVS about a week
> > > ago. Does it suffice?
> > 
> > Can you post it?
> 
> Sure. (It seems possible that this change is so far only applied to the
> winex-2-0 branch, not to the main branch yet, but that's easy to fix)
> 
> Index: LICENSE
> ===================================================================
> RCS file: /cvsroot/winex/wine/LICENSE,v
> retrieving revision 1.3
> retrieving revision 1.3.2.1
> diff -u -r1.3 -r1.3.2.1
> --- LICENSE     14 Apr 2002 00:18:21 -0000      1.3
> +++ LICENSE     29 May 2002 02:54:22 -0000      1.3.2.1
> @@ -1,7 +1,15 @@
>  Source code and other software components explicitly identified as 
>  Copyright TransGaming Technologies Inc. is covered by the license
>  below.  Other source code and software components are covered by the
> -Wine license, found in the LICENSE.winehq file.
> +pre-March 1, 2002 Wine license, found in the LICENSE.winehq file.
> +
> +Note that while this license does permit certain kinds of non-commercial 
> +distribution of pre-compiled binary packages of WineX, doing so on a large 
> +scale is discouraged, as it affects TransGaming's ability to continue
> +to improve and develop the code.  TransGaming reserves the right to 
> +change the license under which future code is made available, and will 
> +not hesitate to do so if non-commercial distribution of pre-compiled 
> +binary packages adversely affects the financing of continued development.

This merely reiterates the point that they have one license for real and one
on paper.

Not that I give a damn, at least not enough to pursue it... I'm just
observing the bandwidth waste done by this thread :>

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Scott Dier <dieman@ringworld.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #178 received at 147303@bugs.debian.org (full text, mbox):

From: Scott Dier <dieman@ringworld.org>
To: Ove Kaaven <ovek@arcticnet.no>
Cc: "Thomas Bushnell, BSG" <tb@becket.net>, Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Mon, 3 Jun 2002 12:06:45 -0500
* Ove Kaaven <ovek@arcticnet.no> [020603 11:51]:
> There was a change in the license preamble in the WineX CVS about a week
> ago. Does it suffice?

ooo. spirit vs actual sledgehammers.  Of course, it isn't on the HEAD
for some reason on viewcvs.

http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/winex/wine/LICENSE?rev=1.3.2.1&content-type=text/vnd.viewcvs-markup

---

Note that while this license does permit certain kinds of non-commercial 
distribution of pre-compiled binary packages of WineX, doing so on a
large 
scale is discouraged, as it affects TransGaming's ability to continue
to improve and develop the code.  TransGaming reserves the right to 
change the license under which future code is made available, and will 
not hesitate to do so if non-commercial distribution of pre-compiled 
binary packages adversely affects the financing of continued
development.

---

I read this as a plea from transgaiming because they feel they can't
properly educate their userbase from not paying them to recieve a binary
package.  Of course, who knows how many people 'warez' their packages.

Perhaps a license key is next?  I would definately track their CVS and
keep watching until they totally eliminate the rights from their
license.  Personally, If I benefited greately from the product I could
see people putting money into a tipjar for more say on what happens to
the development.

If some people just dont care about future features because it
Works For Them(tm) perhaps the economics wont work out for this specific
venture.

Of course, if the future features are coming out at a good rate and
stuff just works, then theres a definate issue in this model based on
how many 'supporters' you can retain.  I bet there is some sort of
equliribium and if it goes low, just freak out about money like other
opensource companies have and get a boatload more subscribers.

-- 
Scott Dier <dieman@ringworld.org> http://www.ringworld.org/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "grolschie" <grol777@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #183 received at 147303@bugs.debian.org (full text, mbox):

From: "grolschie" <grol777@hotmail.com>
To: <147303@bugs.debian.org>
Subject: Winex
Date: Tue, 4 Jun 2002 21:47:08 +1200
[Message part 1 (text/plain, inline)]
Their argument that if mass distribution of Winex occurs, they''d go out of business is so NOT valid.

If they had invested mega-bucks developing the code from scratch, they'd have a point.
However, they have merely *added to* code written by many hardworking volunteers. What do
these people get for their efforts? A company making money from it, and begging us not 
to make them accountable to the GPL and it's spirit. 

Someone please package Winex for Debian. Even if it has to be hosted somewhere else as 
unofficial debs until official Debian matters are resolved. Enable people to obtain the binaries
while beurocracy and committees take their course. 

g.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "grolschie" <grol777@hotmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #188 received at 147303@bugs.debian.org (full text, mbox):

From: "grolschie" <grol777@hotmail.com>
To: <147303@bugs.debian.org>
Subject: re: Winex
Date: Tue, 4 Jun 2002 23:02:19 +1200
OOPPPSS!!! Sorry about the html post. Should read:

Their argument that if mass distribution of Winex occurs, they''d go out of
business is so NOT valid.

If they had invested mega-bucks developing the code from scratch, they'd
have a point.
However, they have merely *added to* code written by many hardworking
volunteers. What do
these people get for their efforts? A company making money from it, and
begging us not
to make them accountable to the GPL and it's spirit.

Someone please package Winex for Debian. Even if it has to be hosted
somewhere else as
unofficial debs until official Debian matters are resolved. Enable people to
obtain the binaries
while beurocracy and committees take their course.

g.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Leeman <marc.leeman@advalvas.be>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #193 received at 147303@bugs.debian.org (full text, mbox):

From: Marc Leeman <marc.leeman@advalvas.be>
To: debian-devel@lists.debian.org, 147303@bugs.debian.org
Subject: Re: Bug#147303: ITP: winex -- A DESCRIPTION
Date: Thu, 6 Jun 2002 11:56:09 +0200
[Message part 1 (text/plain, inline)]
> I would volunteer to take that action and package winex-light for
> Debian, if no one else (knghtbrd?) is willing to do it [1], and if no
> one presents here on debian-devel good [2] reasons not to do it. I would
> also very much like to see opinion of Ove Kaaven, current Debian wine
> maintainer: I am very satisfied with his packaging of wine, and I'd like
> to be sure that my actions won't cause conflict with Debian wine
> maintainer.

You want the package re-assigned to you?

-- 
       greetz, marc
 
BOFH excuse #69:

knot in cables caused data stream to become twisted and kinked
pgp Key ID: 0xD3562DE1
     Key fingerprint = 890C E47F 1589 F240 9CC8  C60C 510A 63D3 D356 2DE1
Linux mykene 2.4.19-pre4 #1 Tue Apr 2 22:47:06 CEST 2002 i686 unknown
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "D & E Radel" <radel@inet.net.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #198 received at 147303@bugs.debian.org (full text, mbox):

From: "D & E Radel" <radel@inet.net.nz>
To: <147303@bugs.debian.org>
Date: Mon, 10 Jun 2002 17:17:45 +1200
Any news on this subject?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #203 received at 147303@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: D & E Radel <radel@inet.net.nz>
Cc: 147303@bugs.debian.org
Subject: Re: your mail
Date: Tue, 15 Oct 2002 19:25:16 +0300
On Mon, Jun 10, 2002 at 05:17:23PM +1200, D & E Radel wrote:
 DER> Any news on this subject?

Sorry for delay, I wasn't subscribed to this bug, so I missed your
message.

I have lost interest in WineX (it doesn't give me any improvement over
standard free Wine), and I am too overloaded to package it just to spite
Transgaming (private email exchange with Gavriel State also helped to
improve my attitude to this company).

If there is someone still interested in this package, they should claim
this bug; otherwise, it should be renamed to RFP or even closed.

-- 
Dmitry Borodaenko



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#147303; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "D & E Radel" <radel@inet.net.nz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #208 received at 147303@bugs.debian.org (full text, mbox):

From: "D & E Radel" <radel@inet.net.nz>
To: "Dmitry Borodaenko" <d.borodaenko@sam-solutions.net>
Cc: <147303@bugs.debian.org>
Subject: Re: your mail
Date: Wed, 16 Oct 2002 09:58:46 +1300
I downloaded the CVS version of Winex (which seems pretty much the same as
Wine).
Either the CVS version is different to the binaries, or subscribers have
been had. Although,
it compiled, none of the Direct3D stuff worked.

D.Radel.
----- Original Message -----
From: "Dmitry Borodaenko" <d.borodaenko@sam-solutions.net>
To: "D & E Radel" <radel@inet.net.nz>
Cc: <147303@bugs.debian.org>
Sent: Wednesday, October 16, 2002 5:25 AM
Subject: Re: your mail


> On Mon, Jun 10, 2002 at 05:17:23PM +1200, D & E Radel wrote:
>  DER> Any news on this subject?
>
> Sorry for delay, I wasn't subscribed to this bug, so I missed your
> message.
>
> I have lost interest in WineX (it doesn't give me any improvement over
> standard free Wine), and I am too overloaded to package it just to spite
> Transgaming (private email exchange with Gavriel State also helped to
> improve my attitude to this company).
>
> If there is someone still interested in this package, they should claim
> this bug; otherwise, it should be renamed to RFP or even closed.
>
> --
> Dmitry Borodaenko
>




Changed Bug title. Request was from Marc Leeman <marc.leeman@ieee.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Göran Weinholt <weinholt@dtek.chalmers.se> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Robert Millan <zeratul2@wanadoo.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Leeman <marc.leeman@ieee.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #217 received at 147303-done@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: 147303-done@bugs.debian.org, 1349183-done@bugs.debian.org
Subject: closing
Date: Sun, 11 Apr 2004 00:30:16 +0200
Well, Marc Leeman (the ITP holder) explained why this program can't be packaged
and closed he bug, but it was reopened by mistake.

Quoting Marc:

-----
As a result of a mail I received from Gavriel State with the request not
to include the package in debian.

If this course was persued, they would change the license to explicitly
prohibit any distribution of binaries of WineX except their own.
-----

I'm closing it again. Anyway, this fork is pointless since it doesn't benefit
from the latest improvements in wine, which are protected by the LGPL.

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:58:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.